Page MenuHomePhabricator

Way for VE to run on Flow without changing wgVisualEditorNamespaces
Closed, ResolvedPublic0 Story Points

Description

Changing the VisualEditorNamespaces config (wgVisualEditorNamespaces) is currently required to use VisualEditor with Flow. However, this has other undesired side effects, such as marking VE available in ve.init.mw.ViewPageTarget.init.js.

Also, if Flow were not enabled on certain pages in that namespace, normal VE would then be enabled there, which is undesirable.

There should be a way for us to use the API (or certain safe parts of it, such as 'parsefragment') in certain namespaces without the other side effects.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 11:03 PM

Change 201388 had a related patch set uploaded (by Mattflaschen):
Add NS_TALK to VE for Flow, only on MW.org, test, and test2.

https://gerrit.wikimedia.org/r/201388

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 11:55 PM
Mattflaschen-WMF set Security to None.

Change 201388 abandoned by Mattflaschen:
Add NS_TALK to VE for Flow, only on MW.org, test, and test2.

Reason:
This was only meant to be temporary, but okay.

https://gerrit.wikimedia.org/r/201388

Change 201400 had a related patch set uploaded (by Mattflaschen):
Allow parsefragment even if VE is not enabled for that title

https://gerrit.wikimedia.org/r/201400

Change 201488 had a related patch set uploaded (by Jforrester):
Allow parsefragment even if VE is not enabled for that title

https://gerrit.wikimedia.org/r/201488

Change 201400 merged by jenkins-bot:
Allow parsefragment even if VE is not enabled for that title

https://gerrit.wikimedia.org/r/201400

Change 201488 merged by jenkins-bot:
Allow parsefragment even if VE is not enabled for that title

https://gerrit.wikimedia.org/r/201488

Jdforrester-WMF edited a custom field.Aug 5 2015, 1:20 AM